Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.testing.transportlayer.peerreview
Class PRInconsistent1

    java.lang.Object
      org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest
          org.mpisws.p2p.testing.transportlayer.peerreview.PRInconsistent1

    public class PRInconsistent1

extends PRRegressionTest

Bob forks his log, that is, at some point he removes the k most recent entries and then continues recording. Expectation: Bob is exposed after the next audit (PROOF_CONSISTENCY)

Author:
  Jeff Hoye

Nested Class Summary
`class` | `PRInconsistent1.ForkingSecureHistory`

Field Summary

Fields inherited from class org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest
`EMPTY_ARRAY, recordedStatus`

Constructor Summary
`PRInconsistent1()`

Method Summary
`void` | `finish()`
`org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.BogusApp` | `getBogusApp(org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.Player player, PeerReview<org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.HandleImpl,org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.IdImpl> pr, Environment env)`
`protected PeerReviewImpl<org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.HandleImpl,org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.IdImpl>` | `getPeerReview(org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.Player player, org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.MyIdTL transport, Environment env)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest
`addStatusNotification, buildCryptoMaterial, buildPlayers, getIdStrTranslator, setLoggingParams, setupWitnesses`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PRInconsistent1

    public PRInconsistent1()
                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### getPeerReview

    protected PeerReviewImpl<org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.HandleImpl,org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.IdImpl> getPeerReview(org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.Player player,
                                                                                                                                                                                                  org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.MyIdTL transport,
                                                                                                                                                                                                  Environment env)

  Overrides:
    `getPeerReview` in class `PRRegressionTest`

### finish

    public void finish()

  Overrides:
    `finish` in class `PRRegressionTest`

### getBogusApp

    public org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.BogusApp getBogusApp(org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.Player player,
                                                                                                  PeerReview<org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.HandleImpl,org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.IdImpl> pr,
                                                                                                  Environment env)

  Overrides:
    `getBogusApp` in class `PRRegressionTest`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.